Bug 731131 - [abrt] pulseaudio-0.9.22-5.fc15: __GI_raise: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
Summary: [abrt] pulseaudio-0.9.22-5.fc15: __GI_raise: Process /usr/bin/pulseaudio was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0b23a659ae47a97efd14ec7dd29...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 18:59 UTC by Jonas Jonsson
Modified: 2012-08-07 16:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:57:59 UTC


Attachments (Terms of Use)
File: maps (25.96 KB, text/plain)
2011-08-16 18:59 UTC, Jonas Jonsson
no flags Details
File: backtrace (16.61 KB, text/plain)
2012-01-24 05:11 UTC, Richard Henderson
no flags Details
File: backtrace (16.65 KB, text/plain)
2012-04-23 17:29 UTC, Chris
no flags Details

Description Jonas Jonsson 2011-08-16 18:59:22 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
comment:        Muted a call in skype and then unmuted it.
component:      pulseaudio
crash_function: __GI_raise
executable:     /usr/bin/pulseaudio
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        pulseaudio-0.9.22-5.fc15
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
time:           Tue Aug 16 20:33:02 2011
uid:            500
username:       jonas

maps:           Text file, 26586 bytes

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/5a/5d297f73560588bcb1e4ba7f34f0b86c5f58dd
:[New LWP 2462]
:[New LWP 1711]
:[New LWP 1712]
:[New LWP 1710]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/pulseaudio --start'.
:Program terminated with signal 6, Aborted.
:#0  0x0000003a008352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 4 (Thread 0x7f3fb7680780 (LWP 1710)):
:#0  0x0000003a008d74f3 in ppoll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>, sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/ppoll.c:58
:        resultvar = <optimized out>
:        oldtype = 0
:        tval = {tv_sec = 4, tv_nsec = 998854828}
:        result = <optimized out>
:#1  0x0000003a19a1df87 in pa_mainloop_poll (m=0x211c5b0) at pulse/mainloop.c:887
:        ts = {tv_sec = 140737427794644, tv_nsec = 34703200}
:        __func__ = "pa_mainloop_poll"
:        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
:#2  0x0000003a19a1e519 in pa_mainloop_iterate (m=0x211c5b0, block=<optimized out>, retval=0x7ffffc63ead4) at pulse/mainloop.c:961
:        r = <optimized out>
:        __func__ = "pa_mainloop_iterate"
:        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
:#3  0x0000003a19a1e5d0 in pa_mainloop_run (m=0x211c5b0, retval=0x7ffffc63ead4) at pulse/mainloop.c:979
:        r = <optimized out>
:#4  0x0000000000405d00 in main (argc=<optimized out>, argv=<optimized out>) at daemon/main.c:971
:        c = 0x211e790
:        buf = <optimized out>
:        conf = 0x2114060
:        mainloop = 0x211c5b0
:        s = 0x2118760 "x11-wrapper@:0"
:        r = <optimized out>
:        retval = 0
:        d = 2
:        valid_pid_file = true
:        ltdl_init = true
:        passed_fd = <optimized out>
:        e = <optimized out>
:        daemon_pipe = {-1, -1}
:        autospawn_fd = -1
:        autospawn_locked = false
:        dbus = <optimized out>
:        __func__ = "main"
:        __PRETTY_FUNCTION__ = "main"
:
:Thread 3 (Thread 0x7f3fa75b1700 (LWP 1712)):
:#0  0x0000003a008d74f3 in ppoll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>, sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/ppoll.c:58
:        resultvar = <optimized out>
:        oldtype = 0
:        tval = {tv_sec = 0, tv_nsec = 0}
:        result = <optimized out>
:#1  0x0000003a04c31709 in pa_rtpoll_run (p=0x2165b50, wait_op=true) at pulsecore/rtpoll.c:304
:        ts = {tv_sec = 0, tv_nsec = 0}
:        i = 0x0
:        r = 0
:        timeout = {tv_sec = 0, tv_usec = 0}
:        __func__ = "pa_rtpoll_run"
:        __PRETTY_FUNCTION__ = "pa_rtpoll_run"
:#2  0x00007f3fa75d2ba0 in thread_func (userdata=0x2165900) at modules/alsa/alsa-source.c:1294
:        ret = <optimized out>
:        u = 0x2165900
:        revents = 0
:        __func__ = "thread_func"
:        __PRETTY_FUNCTION__ = "thread_func"
:#3  0x0000003a1a238788 in internal_thread_func (userdata=0x21484c0) at pulsecore/thread-posix.c:83
:        t = 0x21484c0
:#4  0x0000003a00c07b31 in start_thread (arg=0x7f3fa75b1700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f3fa75b1700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 2414196280068645419, 249120753440, 139911367432640, 0, 3, -2305917707965455829, 2446847924755079723}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#5  0x0000003a008dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7f3fb125e700 (LWP 1711)):
:#0  0x0000003a008d74f3 in ppoll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>, sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/ppoll.c:58
:        resultvar = <optimized out>
:        oldtype = 0
:        tval = {tv_sec = 97588496, tv_nsec = 4416}
:        result = <optimized out>
:#1  0x0000003a04c31709 in pa_rtpoll_run (p=0x2134f70, wait_op=true) at pulsecore/rtpoll.c:304
:        ts = {tv_sec = 0, tv_nsec = 0}
:        i = 0x7f3fa00009d0
:        r = 0
:        timeout = {tv_sec = 0, tv_usec = 0}
:        __func__ = "pa_rtpoll_run"
:        __PRETTY_FUNCTION__ = "pa_rtpoll_run"
:#2  0x00007f3fa75cd931 in thread_func (userdata=0x2136570) at modules/alsa/alsa-sink.c:1470
:        ret = <optimized out>
:        u = 0x2136570
:        revents = 4
:        __func__ = "thread_func"
:        __PRETTY_FUNCTION__ = "thread_func"
:#3  0x0000003a1a238788 in internal_thread_func (userdata=0x21496f0) at pulsecore/thread-posix.c:83
:        t = 0x21496f0
:#4  0x0000003a00c07b31 in start_thread (arg=0x7f3fb125e700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f3fb125e700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 2414196280068645419, 249120753440, 139911531719104, 34686512, 3, -2305965113130114517, 2446847924755079723}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#5  0x0000003a008dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f3f9bdf1700 (LWP 2462)):
:#0  0x0000003a008352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = 2462
:#1  0x0000003a00836beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x120, sa_sigaction = 0x120}, sa_mask = {__val = {8169300012356382720, 249548827128, 35572304, 139911174752512, 1, 6359392, 35572304, 13, 249546530888, 139911445364224, 206158430256, 139911174752184, 139911174751968, 35465200, 249187876706, 139911174752192}}, sa_flags = 35445048, sa_restorer = 0x7f3f9bdf07e0}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000003a04c4f1df in pa_source_output_push (o=0x21eca50, chunk=<optimized out>) at pulsecore/source-output.c:439
:        length = <optimized out>
:        limit = <optimized out>
:        mbs = <optimized out>
:        __func__ = "pa_source_output_push"
:        __PRETTY_FUNCTION__ = "pa_source_output_push"
:#3  0x0000003a04c53811 in pa_source_post (s=0x21e26e0, chunk=0x7f3f9bdf0900) at pulsecore/source.c:675
:        o = 0x21eca50
:        state = 0xffffffffffffffff
:        __func__ = "pa_source_post"
:        __PRETTY_FUNCTION__ = "pa_source_post"
:#4  0x00007f3f9bdf7506 in hsp_process_push (u=<optimized out>) at modules/bluetooth/module-bluetooth-device.c:1132
:        m = {msg_name = 0x0, msg_namelen = 0, msg_iov = 0x7f3f9bdf0920, msg_iovlen = 1, msg_control = 0x7f3f9bdf0930, msg_controllen = 32, msg_flags = 0}
:        cm = <optimized out>
:        found_tstamp = <optimized out>
:        l = 13
:        p = <optimized out>
:        aux = " \000\000\000\000\000\000\000\001\000\000\000\035\000\000\000\330\v\000\000\000\000\000\000F^\n", '\000' <repeats 996 times>
:        iov = {iov_base = 0x7f3fa840f040, iov_len = 48}
:        tstamp = 3032679494
:        ret = 0
:        memchunk = {memblock = 0x7f3fa840f000, index = 0, length = 13}
:        __func__ = "hsp_process_push"
:        __PRETTY_FUNCTION__ = "hsp_process_push"
:#5  0x00007f3f9bdf8603 in thread_func (userdata=0x21dfd40) at modules/bluetooth/module-bluetooth-device.c:1438
:        n_read = <optimized out>
:        pollfd = 0x21dde70
:        ret = <optimized out>
:        disable_timer = <optimized out>
:        u = 0x21dfd40
:        do_write = 0
:        writable = <optimized out>
:        __func__ = "thread_func"
:        __PRETTY_FUNCTION__ = "thread_func"
:#6  0x0000003a1a238788 in internal_thread_func (userdata=0x21440f0) at pulsecore/thread-posix.c:83
:        t = 0x21440f0
:#7  0x0000003a00c07b31 in start_thread (arg=0x7f3f9bdf1700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f3f9bdf1700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 2414196280068645419, 249120753440, 139911174756800, 0, 3, -2305907846720544213, 2446847924755079723}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#8  0x0000003a008dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:From                To                  Syms Read   Shared Object Library
:0x0000003a04c12e70  0x0000003a04c5b85c  Yes         /usr/lib64/libpulsecore-0.9.22.so
:0x0000003a19a0aec0  0x0000003a19a3221c  Yes         /usr/lib64/libpulse.so.0.12.3
:0x0000003a16e02350  0x0000003a16e0b7dc  Yes         /usr/lib64/libtdb.so.1.2.9
:0x0000003a1a20f620  0x0000003a1a23a85c  Yes         /usr/lib64/libpulsecommon-0.9.22.so
:0x0000003a196004e0  0x0000003a1960060c  Yes         /usr/lib64/libX11-xcb.so.1.0.0
:0x0000003a0441dce0  0x0000003a044a97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x0000003a10801ad0  0x0000003a10805d7c  Yes         /usr/lib64/libSM.so.6.0.1
:0x0000003a0f804cf0  0x0000003a0f812eac  Yes         /usr/lib64/libICE.so.6.3.0
:0x0000003a18a01380  0x0000003a18a042dc  Yes         /usr/lib64/libXtst.so.6.1.0
:0x0000003a15401690  0x0000003a15401d2c  Yes         /usr/lib64/libxcb-atom.so.1.0.0
:0x0000003a04008660  0x0000003a04013b9c  Yes         /usr/lib64/libxcb.so.1.1.0
:0x0000003a18e02ee0  0x0000003a18e069bc  Yes         /lib64/libwrap.so.0.7.6
:0x0000003a1a6011c0  0x0000003a1a6036cc  Yes         /usr/lib64/libasyncns.so.0.3.1
:0x0000003a13402360  0x0000003a1340669c  Yes         /usr/lib64/libltdl.so.7.3.0
:0x0000003a0a400a50  0x0000003a0a404bdc  Yes         /usr/lib64/libsamplerate.so.0.1.7
:0x0000003a0cc01c20  0x0000003a0cc0e7dc  Yes         /usr/lib64/libspeexdsp.so.1.5.0
:0x0000003a14c06190  0x0000003a14c486ec  Yes         /usr/lib64/libsndfile.so.1.0.25
:0x0000003a09c076f0  0x0000003a09c3051c  Yes         /lib64/libdbus-1.so.3.5.4
:0x0000003a00c05660  0x0000003a00c103cc  Yes         /lib64/libpthread-2.14.so
:0x0000003a01802160  0x0000003a018053ec  Yes         /lib64/librt-2.14.so
:0x0000003a01400de0  0x0000003a0140191c  Yes         /lib64/libdl-2.14.so
:0x0000003a01003ea0  0x0000003a01043e9c  Yes         /lib64/libm-2.14.so
:0x0000003a0081ece0  0x0000003a0094338c  Yes         /lib64/libc-2.14.so
:0x0000003a00400b20  0x0000003a00418cca  Yes         /lib64/ld-2.14.so
:0x0000003a0b800c10  0x0000003a0b805afc  Yes         /lib64/libcrypt-2.14.so
:0x0000003a01c028a0  0x0000003a01c120cc  Yes         /lib64/libgcc_s-4.6.0-20110603.so.1
:0x0000003a0a8014f0  0x0000003a0a802aec  Yes         /lib64/libuuid.so.1.3.0
:0x0000003a05403460  0x0000003a0540e31c  Yes         /usr/lib64/libXext.so.6.4.0
:0x0000003a05c01f00  0x0000003a05c0c57c  Yes         /usr/lib64/libXi.so.6.1.0
:0x0000003a04800dd0  0x0000003a04801b2c  Yes         /usr/lib64/libXau.so.6.0.0
:0x0000003a14003ff0  0x0000003a140117fc  Yes         /lib64/libnsl-2.14.so
:0x0000003a02c03840  0x0000003a02c1353c  Yes         /lib64/libresolv-2.14.so
:0x0000003a1240be70  0x0000003a12430e08  Yes         /usr/lib64/libFLAC.so.8.2.0
:0x0000003a15c139c0  0x0000003a15c15fac  Yes         /usr/lib64/libvorbisenc.so.2.0.8
:0x0000003a12003700  0x0000003a1201a6ac  Yes         /usr/lib64/libvorbis.so.0.4.5
:0x0000003a11c018d0  0x0000003a11c03f7c  Yes         /usr/lib64/libogg.so.0.7.1
:0x0000003a0bc03170  0x0000003a0bc417bc  Yes         /lib64/libfreebl3.so
:0x00007f3fb083a770  0x00007f3fb083c29c  Yes         /usr/lib64/pulse-0.9.22/modules/module-device-restore.so
:0x00007f3fb0633570  0x00007f3fb063689c  Yes         /usr/lib64/pulse-0.9.22/modules/module-stream-restore.so
:0x00007f3fb041caf0  0x00007f3fb042b8cc  Yes         /usr/lib64/pulse-0.9.22/modules/libprotocol-native.so
:0x00007f3fb0202130  0x00007f3fb0202c2c  Yes         /usr/lib64/pulse-0.9.22/modules/module-card-restore.so
:0x00007f3fa7dfc480  0x00007f3fa7dfd29c  Yes         /usr/lib64/pulse-0.9.22/modules/module-augment-properties.so
:0x00007f3fa7bf7e80  0x00007f3fa7bf9acc  Yes         /usr/lib64/pulse-0.9.22/modules/module-udev-detect.so
:0x00007f3fa79e9e40  0x00007f3fa79f1ccc  Yes         /lib64/libudev.so.0.11.1
:0x00007f3fa77e4d10  0x00007f3fa77e5bdc  Yes         /usr/lib64/pulse-0.9.22/modules/module-alsa-card.so
:0x00007f3fa75bd680  0x00007f3fa75d7b5c  Yes         /usr/lib64/pulse-0.9.22/modules/libalsa-util.so
:0x0000003a1282e550  0x0000003a128b365c  Yes         /lib64/libasound.so.2.0.0
:0x00007f3fa6baf0d0  0x00007f3fa6baf74c  Yes         /usr/lib64/pulse-0.9.22/modules/module-bluetooth-discover.so
:0x00007f3fa69a8d10  0x00007f3fa69abf6c  Yes         /usr/lib64/pulse-0.9.22/modules/libbluetooth-util.so
:0x00007f3fa67a60c0  0x00007f3fa67a660c  Yes         /usr/lib64/pulse-0.9.22/modules/module-esound-protocol-unix.so
:0x00007f3fa659c310  0x00007f3fa65a17dc  Yes         /usr/lib64/pulse-0.9.22/modules/libprotocol-esound.so
:0x00007f3fa63971b0  0x00007f3fa639778c  Yes         /usr/lib64/pulse-0.9.22/modules/module-native-protocol-unix.so
:0x00007f3fa6193f20  0x00007f3fa6194b1c  Yes         /usr/lib64/pulse-0.9.22/modules/module-gconf.so
:0x00007f3fa5f90f20  0x00007f3fa5f917fc  Yes         /usr/lib64/pulse-0.9.22/modules/module-default-device-restore.so
:0x00007f3fa5d8de00  0x00007f3fa5d8ec3c  Yes         /usr/lib64/pulse-0.9.22/modules/module-rescue-streams.so
:0x00007f3fa5b8bcc0  0x00007f3fa5b8c4ec  Yes         /usr/lib64/pulse-0.9.22/modules/module-always-sink.so
:0x00007f3fa5988e40  0x00007f3fa598a23c  Yes         /usr/lib64/pulse-0.9.22/modules/module-intended-roles.so
:0x00007f3fa5784240  0x00007f3fa578611c  Yes         /usr/lib64/pulse-0.9.22/modules/module-suspend-on-idle.so
:0x00007f3fa55807e0  0x00007f3fa558156c  Yes         /usr/lib64/pulse-0.9.22/modules/module-console-kit.so
:0x00007f3fa537de10  0x00007f3fa537e57c  Yes         /usr/lib64/pulse-0.9.22/modules/module-position-event-sounds.so
:0x00007f3fa517ae90  0x00007f3fa517b92c  Yes         /usr/lib64/pulse-0.9.22/modules/module-cork-music-on-phone.so
:0x00007f3fa4f78480  0x00007f3fa4f78e6c  Yes         /usr/lib64/pulse-0.9.22/modules/module-x11-publish.so
:0x00007f3fa4d75e70  0x00007f3fa4d7653c  Yes         /usr/lib64/pulse-0.9.22/modules/module-x11-cork-request.so
:0x00007f3fa4b73250  0x00007f3fa4b73b0c  Yes         /usr/lib64/pulse-0.9.22/modules/module-x11-xsmp.so
:0x00007f3f9bdf5ee0  0x00007f3f9bdfbbec  Yes         /usr/lib64/pulse-0.9.22/modules/module-bluetooth-device.so
:0x00007f3fa4970ac0  0x00007f3fa4970f0c  Yes         /usr/lib64/pulse-0.9.22/modules/libbluetooth-ipc.so
:0x00007f3fa47689c0  0x00007f3fa476e93c  Yes         /usr/lib64/pulse-0.9.22/modules/libbluetooth-sbc.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x21eca50	35572304
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x99e	2462
:rdi            0x6ae	1710
:rbp            0x7f3f9bdf0900	0x7f3f9bdf0900
:rsp            0x7f3f9bdf0668	0x7f3f9bdf0668
:r8             0x0	0
:r9             0x0	0
:r10            0x8	8
:r11            0x202	514
:r12            0x1	1
:r13            0x610960	6359392
:r14            0x21eca50	35572304
:r15            0xd	13
:rip            0x3a008352d5	0x3a008352d5 <__GI_raise+53>
:eflags         0x202	[ IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x0000003a008352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x0000003a008352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x0000003a008352b0 <+16>:	test   %esi,%esi
:   0x0000003a008352b2 <+18>:	jne    0x3a008352e0 <__GI_raise+64>
:   0x0000003a008352b4 <+20>:	mov    $0xba,%eax
:   0x0000003a008352b9 <+25>:	syscall 
:   0x0000003a008352bb <+27>:	mov    %eax,%esi
:   0x0000003a008352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x0000003a008352c5 <+37>:	movslq %edi,%rdx
:   0x0000003a008352c8 <+40>:	movslq %esi,%rsi
:   0x0000003a008352cb <+43>:	movslq %eax,%rdi
:   0x0000003a008352ce <+46>:	mov    $0xea,%eax
:   0x0000003a008352d3 <+51>:	syscall 
:=> 0x0000003a008352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x0000003a008352db <+59>:	ja     0x3a008352ef <__GI_raise+79>
:   0x0000003a008352dd <+61>:	repz retq 
:   0x0000003a008352df <+63>:	nop
:   0x0000003a008352e0 <+64>:	test   %eax,%eax
:   0x0000003a008352e2 <+66>:	jg     0x3a008352c5 <__GI_raise+37>
:   0x0000003a008352e4 <+68>:	test   $0x7fffffff,%eax
:   0x0000003a008352e9 <+73>:	je     0x3a00835300 <__GI_raise+96>
:   0x0000003a008352eb <+75>:	neg    %eax
:   0x0000003a008352ed <+77>:	jmp    0x3a008352c5 <__GI_raise+37>
:   0x0000003a008352ef <+79>:	mov    0x35dcb2(%rip),%rdx        # 0x3a00b92fa8
:   0x0000003a008352f6 <+86>:	neg    %eax
:   0x0000003a008352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x0000003a008352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x0000003a008352ff <+95>:	retq   
:   0x0000003a00835300 <+96>:	mov    %esi,%eax
:   0x0000003a00835302 <+98>:	jmp    0x3a008352c5 <__GI_raise+37>
:End of assembler dump.

dso_list:
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306264735
:/usr/lib64/pulse-0.9.22/modules/module-suspend-on-idle.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306264771
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306264737
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/lib64/pulse-0.9.22/modules/module-bluetooth-device.so pulseaudio-module-bluetooth-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266818
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309737641
:/usr/lib64/pulse-0.9.22/modules/module-native-protocol-unix.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306264737
:/usr/lib64/pulse-0.9.22/modules/module-esound-protocol-unix.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.x86_64 (Fedora Project) 1306264738
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1306264776
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1306264736
:/usr/lib64/pulse-0.9.22/modules/module-card-restore.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/lib64/libnsl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/share/locale/sv/LC_MESSAGES/pulseaudio.mo pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1306264784
:/usr/share/locale/sv/LC_MESSAGES/pulseaudio.mo pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1306268056
:/usr/lib64/pulse-0.9.22/modules/module-position-event-sounds.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1306264784
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1306264736
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312914661
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311791239
:/usr/lib64/libpulsecore-0.9.22.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1306264784
:/usr/lib64/libspeexdsp.so.1.5.0 speex-1.2-0.13.rc1.fc15.x86_64 (Fedora Project) 1306264759
:/usr/lib64/pulse-0.9.22/modules/module-gconf.so pulseaudio-module-gconf-0.9.22-5.fc15.x86_64 (Fedora Project) 1306267411
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306264772
:/usr/lib64/pulse-0.9.22/modules/module-rescue-streams.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1260307635
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1306264765
:/usr/lib64/pulse-0.9.22/modules/libprotocol-native.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/pulse-0.9.22/modules/libalsa-util.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312914662
:/lib64/libasound.so.2.0.0 alsa-lib-1.0.24-2.fc15.x86_64 (Fedora Project) 1306265012
:/usr/lib64/pulse-0.9.22/modules/libbluetooth-ipc.so pulseaudio-module-bluetooth-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266818
:/usr/lib64/pulse-0.9.22/modules/module-x11-publish.so pulseaudio-module-x11-0.9.22-5.fc15.x86_64 (Fedora Project) 1306267411
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/lib64/pulse-0.9.22/modules/module-alsa-card.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/pulse-0.9.22/modules/module-udev-detect.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/lib64/pulse-0.9.22/modules/module-x11-xsmp.so pulseaudio-module-x11-0.9.22-5.fc15.x86_64 (Fedora Project) 1306267411
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1306264729
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306264771
:/usr/lib64/pulse-0.9.22/modules/module-default-device-restore.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/pulse-0.9.22/modules/libprotocol-esound.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/pulse-0.9.22/modules/module-intended-roles.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/pulse-0.9.22/modules/module-x11-cork-request.so pulseaudio-module-x11-0.9.22-5.fc15.x86_64 (Fedora Project) 1306267411
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306264773
:/usr/lib64/pulse-0.9.22/modules/module-console-kit.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.x86_64 (Fedora Project) 1311791288
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306264772
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1306264783
:/usr/lib64/pulse-0.9.22/modules/module-device-restore.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1306264761
:/usr/lib64/pulse-0.9.22/modules/module-always-sink.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313179858
:/usr/share/locale/sv/LC_MESSAGES/libc.mo glibc-common-2.14-5.x86_64 (Fedora Project) 1313179858
:/usr/lib64/pulse-0.9.22/modules/module-cork-music-on-phone.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/pulse-0.9.22/modules/libbluetooth-sbc.so pulseaudio-module-bluetooth-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266818
:/usr/lib64/pulse-0.9.22/modules/libbluetooth-util.so pulseaudio-module-bluetooth-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266818
:/usr/lib64/pulse-0.9.22/modules/module-bluetooth-discover.so pulseaudio-module-bluetooth-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266818
:/usr/lib64/pulse-0.9.22/modules/module-stream-restore.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libsamplerate.so.0.1.7 libsamplerate-0.1.7-3.fc15.x86_64 (Fedora Project) 1306264779
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1313179866
:/usr/bin/pulseaudio pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1309737683
:/usr/lib64/pulse-0.9.22/modules/module-augment-properties.so pulseaudio-0.9.22-5.fc15.x86_64 (Fedora Project) 1306266326
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1306264778

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-jonas
:XDG_SESSION_ID=1
:HOSTNAME=kif.u7.se
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=6a9e2f9f42706671ca0435d64b1ecadf-1313516587.427595-560942499
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-0dBD8t
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=jonas
:DESKTOP_AUTOSTART_ID=102d5658d250d88a9c131351658798577900000015390013
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1539,unix/unix:/tmp/.ICE-unix/1539
:USERNAME=jonas
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jonas/bin
:MAIL=/var/spool/mail/jonas
:QT_IM_MODULE=xim
:PWD=/home/jonas
:XMODIFIERS=@im=none
:EDITOR=vim
:LANG=sv_SE.UTF-8
:GNOME_KEYRING_PID=1531
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=2
:HOME=/home/jonas
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=jonas
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-OdbvCHB7Rt,guid=1e3154ce429c88bbce79a7d800000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/jonas
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-jonas-3gDSlU/database
:_=/usr/bin/pulseaudio
:LD_BIND_NOW=1

var_log_messages:
:Aug 16 17:42:51 kif rtkit-daemon[1432]: Successfully made thread 1431 of process 1431 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
:Aug 16 19:42:51 kif pulseaudio[1431]: module-alsa-card.c: Failed to find a working profile.
:Aug 16 19:42:51 kif pulseaudio[1431]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
:Aug 16 17:43:08 kif rtkit-daemon[1432]: Successfully made thread 1710 of process 1710 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
:Aug 16 17:43:08 kif rtkit-daemon[1432]: Successfully made thread 1711 of process 1710 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
:Aug 16 17:43:08 kif rtkit-daemon[1432]: Successfully made thread 1712 of process 1710 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
:Aug 16 19:43:08 kif pulseaudio[1710]: module-alsa-card.c: Failed to find a working profile.
:Aug 16 19:43:08 kif pulseaudio[1710]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=no ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
:Aug 16 19:56:09 kif pulseaudio[1710]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
:Aug 16 19:56:09 kif pulseaudio[1710]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
:Aug 16 19:56:09 kif pulseaudio[1710]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
:Aug 16 19:56:32 kif pulseaudio[1710]: alsa-source.c: ALSA woke us up to read new data from the device, but there was actually nothing to read!
:Aug 16 19:56:32 kif pulseaudio[1710]: alsa-source.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
:Aug 16 19:56:32 kif pulseaudio[1710]: alsa-source.c: We were woken up with POLLIN set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
:Aug 16 17:58:34 kif rtkit-daemon[1432]: Successfully made thread 2462 of process 1710 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
:Aug 16 20:33:02 kif pulseaudio[1710]: source-output.c: Assertion 'pa_frame_aligned(chunk->length, &o->source->sample_spec)' failed at pulsecore/source-output.c:441, function pa_source_output_push(). Aborting.
:Aug 16 20:33:02 kif abrt[6961]: saved core dump of pid 1710 (/usr/bin/pulseaudio) to /var/spool/abrt/ccpp-2011-08-16-20:33:02-1710.new/coredump (27738112 bytes)

Comment 1 Jonas Jonsson 2011-08-16 18:59:26 UTC
Created attachment 518556 [details]
File: maps

Comment 2 Jonas Jonsson 2011-08-16 19:01:53 UTC
Package: pulseaudio-0.9.22-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Muted a call in skype and then unmuted it.

Comment 3 Basil Mohamed Gohar 2011-11-14 12:40:10 UTC
Package: pulseaudio-0.9.23-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
With Skype open in the background, I attempted to switch to my bluetooth device's "headset" profile with the intent of using that for audio input/output.

Comment 4 Richard Henderson 2012-01-24 05:11:53 UTC
Sound test on bluetooth headset.

backtrace_rating: 4
Package: pulseaudio-0.9.23-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 5 Richard Henderson 2012-01-24 05:11:59 UTC
Created attachment 557132 [details]
File: backtrace

Comment 6 Chris 2012-04-23 17:29:05 UTC
trying to pair my bluetooth headset 

backtrace_rating: 4
Package: pulseaudio-0.9.23-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 7 Chris 2012-04-23 17:29:13 UTC
Created attachment 579637 [details]
File: backtrace

Comment 8 Fedora End Of Life 2012-08-07 16:58:01 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.